package com.gxzc.zen.controller

import com.gxzc.zen.api.rec.model.SysDic
import com.gxzc.zen.api.rec.service.ISysDicService
import com.gxzc.zen.api.sys.model.SysDept
import com.gxzc.zen.api.sys.service.ISysDeptService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Controller
import org.springframework.web.bind.annotation.RequestMapping


@Controller
@RequestMapping("example")
class ExampleController {
    @Autowired
    lateinit var sysDeptService: ISysDeptService

//    @Autowired
//    val sysDicService: ISysDicService?= null

    @RequestMapping("/test")
    fun test() {
        val dept = SysDept().also {
            it.deptName = "test"
            it.principal = "create"
            it.sort = 1
        }
        sysDeptService.insert(dept)
    }

    @RequestMapping("/test2")
    fun test2(){
        val sysDic = SysDic().also {
            it.key = "hehe"
            it.value = "hehe"
            it.sort = 1
        }

//        sysDicService?.insert(sysDic)
    }
}