//package com.gxzc.zen.orm
//
///**
// *
// * @author NorthLan at 2018/1/27
// */
//import com.alibaba.druid.pool.DruidDataSource
//import com.alibaba.druid.support.http.StatViewServlet
//import com.alibaba.druid.support.http.WebStatFilter
//import org.mybatis.spring.annotation.MapperScan
//import org.slf4j.LoggerFactory
//import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
//import org.springframework.boot.context.properties.ConfigurationProperties
//import org.springframework.boot.web.servlet.FilterRegistrationBean
//import org.springframework.boot.web.servlet.ServletRegistrationBean
//import org.springframework.context.annotation.Bean
//import org.springframework.context.annotation.Configuration
//import java.sql.SQLException
//import javax.sql.DataSource
//
//
//@Configuration
//@ConfigurationProperties(prefix = "druid.datasource.sys")
//@MapperScan(basePackages = ["com.gxzc.zen.api.sys.mapper"])
//class SysDruidConfig : DruidConfig()
//
//
////@Configuration
////@ConfigurationProperties(prefix = "druid.datasource.rec")
////@MapperScan(basePackages = ["com.gxzc.zen.api.rec.mapper"])
////class RecDruidConfig : DruidConfig()
///**
// * druid数据源bean注册
// */
//open class DruidConfig {
//    var url: String? = null
//    var username: String? = null
//    var password: String? = null
//    var filters: String? = null
//
//    var driverClassName: String? = "com.mysql.jdbc.Driver"
//    var initialSize: Int = 5
//    var minIdle: Int = 5
//    var maxActive: Int = 20
//    var maxWait: Long = 60000
//
//    var timeBetweenEvictionRunsMillis: Long = 60000
//    var minEvictableIdleTimeMillis: Long = 30000
//    var validationQuery: String? = null
//    var testWhileIdle: Boolean = true
//    var testOnBorrow: Boolean = false
//    var testOnReturn: Boolean = false
//
//    private val logger = LoggerFactory.getLogger(javaClass)
//
//    private var datasource: DruidDataSource? = null
//
//    @Bean
//    open fun druidDataSource(): DataSource? {
//        datasource = DruidDataSource().also {
//            it.url = url
//            it.username = username
//            it.password = password
//            it.driverClassName = driverClassName
//            it.initialSize = initialSize
//            it.minIdle = minIdle
//            it.maxActive = maxActive
//            it.maxWait = maxWait
//            it.timeBetweenEvictionRunsMillis = timeBetweenEvictionRunsMillis
//            it.minEvictableIdleTimeMillis = minEvictableIdleTimeMillis
//            it.validationQuery = validationQuery
//            it.isTestWhileIdle = testWhileIdle
//            it.isTestOnBorrow = testOnBorrow
//            it.isTestOnReturn = testOnReturn
//        }
//        try {
//            datasource?.setFilters(filters)
//        } catch (e: SQLException) {
//            logger.error("druid configuration initialization filter", e)
//        }
//
//        return datasource
//    }
//
//    fun getDatasource(): DruidDataSource? {
//        return datasource
//    }
//}
//
///**
// * 配置druid显示界面
// */
//@Configuration
//@ConfigurationProperties(prefix = "druid.view")
//@ConditionalOnProperty(prefix = "druid.view", name = ["enable"], havingValue = "true", matchIfMissing = true)
//open class DruidViewConfig {
//    var username: String? = null
//    var password: String? = null
//    var slowSql: String? = null
//
//    @Bean
//    open fun druidServlet(): ServletRegistrationBean {
//        return ServletRegistrationBean().also {
//            it.setServlet(StatViewServlet())
//            it.addUrlMappings("/druid/*")
//            it.addInitParameter("loginUsername", username)
//            it.addInitParameter("loginPassword", password)
//            it.addInitParameter("logSlowSql", slowSql)
//        }
//    }
//
//    @Bean
//    open fun filterRegistrationBean(): FilterRegistrationBean {
//        return FilterRegistrationBean().also {
//            it.filter = WebStatFilter()
//            it.addUrlPatterns("/*")
//            it.addInitParameter("exclusions", "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*")
//            it.addInitParameter("profileEnable", "true")
//        }
//    }
//}